Bug 243002 - D620 CRT/LCD button doesn't work (FN F8)
D620 CRT/LCD button doesn't work (FN F8)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-06 17:14 EDT by G. Michael Carter
Modified: 2008-06-16 21:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:27:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg config file (1.85 KB, application/octet-stream)
2007-06-11 10:42 EDT, G. Michael Carter
no flags Details
Xorg Log file (60.77 KB, text/plain)
2007-06-11 10:43 EDT, G. Michael Carter
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 11546 None None None Never
FreeDesktop.org 11917 None None None Never

  None (edit)
Description G. Michael Carter 2007-06-06 17:14:04 EDT
Ever since the upgrade to Fedora 7 I can't switch from external monitor to LCD.
 The button does nothing.   They only way I is to CTRL-ALT-BACKSPACE and kill
X11, with the monitor plugged-in or unplugged.

It was working in Fedora Core 6.
Comment 1 Matěj Cepl 2007-06-10 19:24:11 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 G. Michael Carter 2007-06-11 10:42:09 EDT
Created attachment 156713 [details]
xorg config file
Comment 3 G. Michael Carter 2007-06-11 10:43:19 EDT
Created attachment 156714 [details]
Xorg Log file
Comment 4 G. Michael Carter 2007-06-11 10:44:18 EDT
It's been like this from a clean install.   I doubt removing the file will make
a different however I'll try it later when I'm not working on the computer.

Comment 5 G. Michael Carter 2007-07-10 15:52:09 EDT
Ok here's what I've found:

If I reboot with no xorg.conf it boots in text mode great.   When I get to the
login it gives me an error.  Seems that the auto-detect on the LCD screen
doesn't work.  

So Boot...

:with no xorg.conf:
- OK: external monitor works 
- OK: FN F8 key work no problem.
- Broken: the laptop without an external monitor doesn't work at all.

:with a xorg.conf (manually specify LCD monitor)
- OK: external monitor works, but only the external monitor if plugged in
- Broken: FN F8 key does nothing but give a console error that it doesn't know
what to do with it
- OK: boots ok if no external monitor is plugged in.


 If I boot with an external monitor everything works fine.  (FN 8) works no problem.

But as soon as I set the monitor to a LCD the FN8 key no longer works.
Comment 6 Michael E Brown 2007-11-02 12:39:49 EDT
I have a D620 with intel video. I use 'xrandr' (from the command line) to switch
external monitor on/off. Does that work for you? I put a couple of icons on my
desktop to enable/disable external display.
Comment 7 Jesse Barnes 2008-01-10 17:52:49 EST
Does the driver still fail to autodetect the LCD for you?  We've put in some 
fixes for that, but we still have a few more to add (see 
https://bugs.freedesktop.org/show_bug.cgi?id=11917 for some more info on 
that).

But it sounds like you've really got two problems, the other one being that 
your display hotswitch keys no longer work.  Michael is right that xrandr 
should let you switch outputs in the new driver, but the hotkeys should work 
too.  There's another upstream bug for that one:  
https://bugs.freedesktop.org/show_bug.cgi?id=11546.  We've got some code 
slated for the 2.3 driver to fix that for some platforms.
Comment 8 Bug Zapper 2008-05-14 08:52:06 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2008-06-16 21:27:46 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.